{
  "name": "@backset/server",
  "version": "1.0.0",
  "private": true,
  "sideEffects": false,
  "dependencies": {
    "@backset/ui": "workspace:^1.0.0",
    "@backset/util": "workspace:^1.0.0",
    "@midwayjs/bootstrap": "^3.0.0",
    "@midwayjs/core": "^3.0.0",
    "@midwayjs/decorator": "^3.0.0",
    "@midwayjs/info": "^3.0.0",
    "@midwayjs/koa": "^3.0.0",
    "@midwayjs/logger": "^2.14.0",
    "@midwayjs/validate": "^3.0.0",
    "@midwayjs/static-file": "^3.0.0",
    "@midwayjs/redis": "^3.0.0",
    "@midwayjs/typeorm": "^3.0.0",
    "mongoose": "^6.0.7",
    "@midwayjs/typegoose": "3.0.0",
    "@typegoose/typegoose": "10.1.1",
    "typeorm": "~0.3.0",
    "mysql2": "3.0.1",
    "dotenv": "16.0.3",
    "jsonwebtoken": "9.0.0"
  },
  "devDependencies": {
    "@midwayjs/cli": "^2.0.0",
    "@midwayjs/mock": "^3.0.0",
    "@types/koa": "^2.13.4",
    "@types/node": "14",
    "mwts": "^1.0.5",
    "typescript": "~4.8.0",
    "@types/mongoose": "^5.11.97",
    "@typescript-eslint/eslint-plugin": "^5.0.0",
    "@typescript-eslint/parser": "^5.0.0",
    "@types/jsonwebtoken": "9.0.1"
  },
  "engines": {
    "node": ">=12.0.0"
  },
  "scripts": {
    "start": "NODE_ENV=production node ./bootstrap.js",
    "dev:be": "cross-env NODE_ENV=local midway-bin dev --ts",
    "dev:fe": "cross-env RUNNING_ENV=dev webpack -w",
    "build:fe": "cross-env RUNNING_ENV=prod webpack build",
    "cov": "midway-bin cov --ts",
    "lint": "mwts check",
    "lint:fix": "mwts fix",
    "ci": "npm run cov",
    "build": "midway-bin build -c"
  },
  "midway-bin-clean": [
    ".vscode/.tsbuildinfo",
    "dist"
  ],
  "repository": {
    "type": "git",
    "url": ""
  },
  "author": "anonymous",
  "license": "MIT"
}